=== hijri/Makefile ===
# $Id: Makefile,v 1.7 2005/01/14 10:44:36 thamer Exp $

include ../build/config.mk

all \
libitl \
demo_hijri:
	@cd src && $(MAKE) $@

install: all
	@echo "==> Installing hijri component..."
	test -d $(PREFIX)/include/itl \
	|| mkdir -p $(PREFIX)/include/itl \
	|| exit 1;
	cp src/hijri.h $(PREFIX)/include/itl

uninstall:
	@echo "==> Uninstalling hijri component..."
	rm -f $(PREFIX)/include/itl/hijri.h

clean:
	@echo "==> Cleaning hijri component files..."
	@cd src && $(MAKE) $@
