=== prayertime/Makefile ===
# $Id: Makefile,v 1.9 2005/01/14 10:44:35 thamer Exp $

include ../build/config.mk

all \
libitl \
demo_prayer:
	@cd src && $(MAKE) $@

install: all
	@echo "==> Installing prayertime component..."
	test -d $(PREFIX)/include/itl \
	|| mkdir -p $(PREFIX)/include/itl \
	|| exit 1;
	cp src/prayer.h $(PREFIX)/include/itl

uninstall:
	@echo "==> Uninstalling prayertime component..."
	rm -f $(PREFIX)/include/itl/prayer.h

clean:
	@echo "==> Cleaning prayertime component files..."
	@cd src && $(MAKE) $@
