=== hijri/src/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.4 2005/01/14 10:44:36 thamer Exp $
+# $Id: Makefile,v 1.5 2006/09/21 16:35:46 thamer Exp $
 
 include ../../build/config.mk
 
@@ -18,9 +18,18 @@
 
 libitl: all
 	@echo "==> Create symbolic links for library generation..."
-	ln -sf ../hijri/src/hijri.h ../../build/ITL_hijri.h
+	test -d ../../build/itl/ \
+	|| mkdir -p ../../build/itl/ \
+	|| exit 1;
+	ln -sf ../../hijri/src/hijri.h ../../build/itl/hijri.h
 	ln -sf ../hijri/src/hijri.o ../../build/hijri.o
 	ln -sf ../hijri/src/umm_alqura.o ../../build/umm_alqura.o
 
+libitl-libtool:
+	libtool --mode=compile $(CC) -c hijri.c
+	libtool --mode=compile $(CC) -c umm_alqura.c
+
 clean:
 	rm -f *.o *~ demo_hijri
+	rm -f *.lo
+	rm -rf .libs
