=== prayertime/src/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.7 2005/01/14 10:44:35 thamer Exp $
+# $Id: Makefile,v 1.8 2006/09/21 16:41:43 thamer Exp $
 
 include ../../build/config.mk
 
@@ -17,9 +17,18 @@
 
 libitl: all
 	@echo "==> Create symbolic links for library generation..."
-	ln -sf ../prayertime/src/prayer.h ../../build/ITL_prayer.h
+	test -d ../../build/itl/ \
+	|| mkdir -p ../../build/itl/ \
+	|| exit 1;
+	ln -sf ../../prayertime/src/prayer.h ../../build/itl/prayer.h
 	ln -sf ../prayertime/src/prayer.o ../../build/prayer.o
 	ln -sf ../prayertime/src/astro.o ../../build/astro.o
 
+libitl-libtool:
+	libtool --mode=compile $(CC) -c prayer.c
+	libtool --mode=compile $(CC) -c astro.c
+
 clean:
 	rm -f *.o *~ demo_prayer
+	rm -f *.lo
+	rm -rf .libs
