=== debian/changelog ===
libitl (0.7.0-3build1) precise; urgency=low

  * No-change rebuild against current pkgbinarymangler to fix broken
    md5sums. (see LP #875466)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 29 Feb 2012 08:42:01 +0100

libitl (0.7.0-3) unstable; urgency=low

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * debian/patches/01_Makefile.in.diff: Add -Wl before -soname linker option.
    (Closes: #624905)
  * Bumped compat level to 8
  * debian/control:
    + Updated my email address
    + Bumped Standards-Version to 3.9.2
  * debian/copyright: Updated format specification & copyright years

  [ Mehdi Dogguy ]
  * Add DMUA field in debian/control and set it to "yes".

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 06 May 2011 10:48:46 +0200

libitl (0.7.0-2) unstable; urgency=low

  * Switch to 3.0 (quilt) source format.
  * debian/copyright: added Arabeyes developers too as copyright
    holders.
  * Add prayertime/doc/method-info.txt to debian/libitl-dev.docs
  * debian/rules:
    + Simplify rules file.
    + No need to exclude CVS in dh_installdocs
    + Do not cp prayertime/doc/method-info.txt, it is handled by
      dh_installdocs now.
  * debian/control:
    + Build-Depend on debhelper (>= 7.0.50~) to support override targets.
    + Updated Standards-Version to 3.8.4 (no changes needed).
    + Updated Vcs-* fields to new Git repository.
    + Changed Maintainer to Debian Islamic Maintainers, and added myself to
      Uploaders.
    + Added ${misc:Depends} to Depends fields.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 06 Feb 2010 10:27:00 +0200

libitl (0.7.0-1) unstable; urgency=low

  [ Thamer Mahmoud <thamer@newkuwait.org> ]
  * New upstream release.
  * Updated FSF address, thanks to Mohammed Sameer (Closes: #403480).
  * Binaries should not be stripped, thanks to Julien Danjou (Closes:
    #437373).

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * debian/control:
    + Removed Section field from libitl0 target.
    + Added quilt to Build-Depends.
    + Bumped Standards-Version to 3.8.2 (no changes needed).
    + Changed Maintainer to أحمد المحمودي (Ahmed El-Mahmoudy).
    + Upgrade to debhelper 7 (also bumped compat level)
    + Added Vcs-* fields.
  * debian/rules:
    + Use quilt patch system.
    + Replace dh_clean -k with dh_prep
  * Added 01_Makefile.in.diff patch to replace $(LD) with $(CC), since "-Wl," 
    is passed to it.
  * debian/copyright: converted to machine-readable format.
  * debian/libitl-dev.install: Remove pkg-config & *.la entries.
  * Added debian/watch file

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 06 Jul 2009 22:49:40 +0300

libitl (0.6.4-1) unstable; urgency=low

  * New upstream release
  * Added autoconf to the build-depends, thanks to Kurt Roeckx (Closes:
    #298794).

 -- Thamer Mahmoud <thamer@newkuwait.org>  Thu, 17 Mar 2005 01:29:43 +0300
	

libitl (0.6.3-1) unstable; urgency=low

  * Initial Release.

 -- Thamer Mahmoud <thamer@newkuwait.org>  Wed,  8 Dec 2004 10:05:07 +0300
