=== debian/control ===
Source: libitl
Section: libs
Priority: optional
Maintainer: Debian Islamic Maintainers <debian-islamic-maintainers@lists.alioth.debian.org>
Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.2
Homepage: http://www.arabeyes.org/project.php?proj=ITL
Vcs-Git: git://git.debian.org/git/debian-islamic/packages/libitl.git
Vcs-Browser: http://git.debian.org/?p=debian-islamic/packages/libitl.git

Package: libitl-dev
Section: libdevel
Architecture: any
Depends: libitl0 (= ${binary:Version}), ${misc:Depends}
Description: Islamic tools & libraries project - development files
 This library allows applications to convert between Hijri/Gregorian
 dates and compute Muslim prayer times and Qibla direction based on
 multiple methods of calculation.
 .
 Install this package if you need to build programs that use libitl.
 .
 Part of the Islamic Tools and Libraries project (ITL).
 .

Package: libitl0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Islamic tools & libraries project - shared library
 This library allows applications to convert between Hijri/Gregorian
 dates and compute Muslim prayer times and Qibla direction based on
 multiple methods of calculation.
 .
 Part of the Islamic Tools and Libraries project (ITL).
 .
