=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

major=0
DOCDIR = debian/libitl$(major)/usr/share/doc/libitl$(major)
DOCDIRDEV = debian/libitl-dev/usr/share/doc/libitl-dev

%:
	dh $@

override_dh_auto_configure:
	./configure prefix=$(CURDIR)/debian/tmp/usr

override_dh_auto_build:
	$(MAKE) static
	$(MAKE) shared

override_dh_auto_install:
	$(MAKE) debinstall

override_dh_installdocs:
	dh_installdocs
	# Adding the component's name to it's README filename.
	cp -p prayertime/README $(DOCDIR)/README.prayertime
	cp -p hijri/README $(DOCDIR)/README.hijri
	cp -p prayertime/README $(DOCDIRDEV)/README.prayertime
	cp -p hijri/README $(DOCDIRDEV)/README.hijri
