=== debian/watch ===
version=3

http://sf.net/arabeyes/libitl-(.*)\.tar\.gz
