=== debian/changelog ===
libitl (0.8.0-5) unstable; urgency=medium

  * Fix spelling mistake
  * Update FSF address
  * Drop redundant Rules-Requires-Root field

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 28 Sep 2025 03:21:16 +0200

libitl (0.8.0-4) unstable; urgency=medium

  * d/rules: add -DCMAKE_POLICY_VERSION_MINIMUM=3.5 to dh_auto_configure
    (Closes: #1113160)
  * Update copyright years
  * d/control: bump standards version to 4.7.2

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 27 Sep 2025 17:13:58 +0200

libitl (0.8.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Set debhelper-compat version in Build-Depends.
  * Update Vcs-* headers to use salsa repository.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).
  * Apply multi-arch hints.
    + libitl-dev, libitl0: Add Multi-Arch: same.

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * d/watch: update watch file
  * d/control:
    + Update to debhelper-compat 13
    + Update to standards-version 4.6.2
    + Add Rules-Requires-Root: no
  * d/u/metadata: remove Homepage field
  * Add c99-fix.diff patch to fix C99 compatibility
  * d/libitl0.symbols: add Build-Depends-Package

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 22 May 2023 00:31:32 +0200

libitl (0.8.0-2) unstable; urgency=medium

  * build_shared.diff patch: fixed library version

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 27 Oct 2017 12:38:09 +0200

libitl (0.8.0-1) unstable; urgency=medium

  * New upstream release
  * Update watch file
  * Remove obsolete DMUA field
  * Update standards version to 4.1.1
  * Add cmake to Build-Deps
  * Remove patches, no longer needed
  * Clean up rules file
  * Bump compat level to 10
  * Add fix_install_paths.diff to fix install paths
  * Add build_shared.diff patch to build shared library
  * Update list of installed docs
  * Update examples' path
  * Remove unneeded *dirs file
  * Add symbols file
  * Update my email address
  * Changed Vcs-* fields to secure canonical URLs
  * Update copyright format & years

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 26 Oct 2017 14:48:29 +0200
