=== debian/control ===
Source: libitl
Section: libs
Priority: optional
Maintainer: Debian Islamic Maintainers <debian-islamic-maintainers@lists.alioth.debian.org>
Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
Build-Depends: debhelper-compat (= 13), cmake
Standards-Version: 4.7.2
Homepage: https://github.com/arabeyes-org/ITL
Vcs-Git: https://salsa.debian.org/islamic-team/libitl.git
Vcs-Browser: https://salsa.debian.org/islamic-team/libitl

Package: libitl-dev
Section: libdevel
Architecture: any
Depends: libitl0 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: Islamic tools & libraries project - development files
 This library allows applications to convert between Hijri/Gregorian
 dates and compute Muslim prayer times and Qibla direction based on
 multiple methods of calculation.
 .
 Install this package if you need to build programs that use libitl.
 .
 Part of the Islamic Tools and Libraries project (ITL).
 .

Package: libitl0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Islamic tools & libraries project - shared library
 This library allows applications to convert between Hijri/Gregorian
 dates and compute Muslim prayer times and Qibla direction based on
 multiple methods of calculation.
 .
 Part of the Islamic Tools and Libraries project (ITL).
 .
