=== debian/tests/control ===
Tests: build
Depends: libitl-dev, build-essential
