=== debian/watch ===
version=4
https://github.com/arabeyes-org/ITL/tags \
   (?:.*?/)?v?([\d.]*)@ARCHIVE_EXT@
